package others_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ChainEvidenceCompleteReportStatusRequest struct {
	// <ext>core:true</ext> 【出证id】出证id 【作用】 可通过<docs>/chain/evidence/complete/report/apply</docs>接口返回的出证id查询出证审核结果 【传参】 最大长度：20。
	ProveId string `json:"proveId,omitempty"`
}

func (obj ChainEvidenceCompleteReportStatusRequest) GetUrl() string {
	return "/chain/evidence/complete/report/status"
}

func (obj ChainEvidenceCompleteReportStatusRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("proveId", obj.ProveId)
	return parameter
}
